Закачиваем файлы удобно

| Нет комментариев
Достало до дрожи юзать screen+wget для каких то закачек. Захотелось чего то гуевого, но без DM. Будем юзать Aria2 и web-гуй к нему.

Ставим:
apt-get install aria2
"Демонизируем", т.к. из коробки он не работает как сервис:
touch /etc/init.d/aria2c
chmod +x /etc/init.d/aria2c
nano /etc/init.d/aria2c
Собственно сам debian-like init-скрипт:
#!/bin/sh
### BEGIN INIT INFO
# Provides:  Aria2
# Required-Start:$network $local_fs $remote_fs
# Required-Stop::$network $local_fs $remote_fs
# Should-Start:  $all
# Should-Stop:   $all
# Default-Start: 2 3 4 5
# Default-Stop:  0 1 6
# Short-Description: Aria2 - Download Manager
### END INIT INFO

NAME=aria2c
ARIA2C=/usr/bin/$NAME
PIDFILE=/var/run/$NAME.pid
CONF=/etc/aria2c.conf
USER=nobody
ARGS="--enable-rpc --rpc-listen-all --conf-path=${CONF}"

test -f $ARIA2C || exit 0

. /lib/lsb/init-functions

case "$1" in
  start)
        log_daemon_msg "Starting aria2c"
        start-stop-daemon --start --quiet -b -m --pidfile $PIDFILE --chuid $USER --startas $ARIA2C -- $ARGS
        log_end_msg $?
  ;;
  stop)
        log_daemon_msg "Stopping aria2c"
        start-stop-daemon --stop --retry="TERM/30/KILL/5" --exec $ARIA2C --user $USER --chuid $USER
        log_end_msg $?
  ;;
  restart|reload|force-reload)
        log_daemon_msg "Restarting aria2c"
        start-stop-daemon --stop --retry="TERM/30/KILL/5" --exec $ARIA2C --user $USER --chuid $USER
        start-stop-daemon --start --quiet -b -m --pidfile $PIDFILE --chuid $USER --startas $ARIA2C -- $ARGS
        log_end_msg $?
  ;;
  status)
        status_of_proc -p $PIDFILE $ARIA2C aria2c && exit 0 || exit $?
  ;;
  *)
        log_action_msg "Usage: /etc/init.d/aria2c {start|stop|restart|reload|force-reload|status}"
        exit 2
  ;;
esac
exit 0
Добавляем в автозапуск:
chkconfig aria2c on
Пример конфига:
# Директория загрузки
dir = /mnt/torrent/complite

# Запускать как демон
daemon = true

# Докачивать при обрывах
continue = true

# Имя пользователя и пароль для Web-Gui
rpc-user = admin
rpc-passwd = admin
Распаковываем скачаный web-гуй куда нибудь в /var/www, зайдем web-интерфейс и по пути Setting -> Connection Setting внесем наши данные из кофнига выше.
Во всяком случае у меня это заработало и теперь не приходится ходить на машину по ssh, городить screen с сессией для закачки терабайт исошников.

Комментировать